Summary:  Extract headers from rpm in a old yum repository
Name:     yum-arch
Version:  2.2.2
Release:  2%{?dist}
License:  GPL
Group:    System Environment/Base
Source0:  http://linux.duke.edu/projects/yum/download/2.2/yum-%{version}.tar.gz
Patch1:   yum-arch-folder.patch
URL:      http://linux.duke.edu/yum/

BuildArch: noarch
BuildRequires: python, gettext

Requires:  python, rpm-python, rpm >= 0:4.1.1, libxml2-python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Extract headers from rpm in a old yum repository.

This package only provides the old yum-arch command from yum-%{version}
It should be used to generate repository informations for Fedora Core  < 3
and RedHat Enterprise Linux < 4.

%prep
%setup -q -n yum-%{version}
%patch1 -p0 -b .folder

# to avoid rpmlint warnings
for source in *.py {repomd,rpmUtils,yum}/*.py; do
    sed -i -e '/^#!\/usr/d' $source
done

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man8/%{name}*

%changelog
* Sun Feb 18 2007 Remi Collet <Fedora@FamilleCollet.com> - 2.2.2-2
- from package review (#229123) 
  own /usr/share/yum-arch
  del shellbang in libs

* Sat Feb 17 2007 Remi Collet <Fedora@FamilleCollet.com> - 2.2.2-1
- initial spec for Extras
